IORHolder (Java SE 9 & JDK 9 )
Keywords: org.omg.IOP.IORHolder class

Module java.corba
Package org.omg.IOP

## Class IORHolder

- java.lang.Object
- - org.omg.IOP.IORHolder

- All Implemented Interfaces:
    `Streamable`

      public final class IORHolder
      extends Object
      implements Streamable

  org/omg/IOP/IORHolder.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java9-openjdk/src/jdk9u-jdk-9.0.4+12/corba/src/java.corba/share/classes/org/omg/PortableInterceptor/IOP.idl Sunday, May 16, 2021 7:56:04 PM CEST

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `IOR` | `value` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IORHolder​()` |
    `IORHolder​(IOR initialValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `_read​(InputStream i)` | Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
    `TypeCode` | `_type​()` | Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
    `void` | `_write​(OutputStream o)` | Marshals to `ostream` the value in the `value` field of the Holder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public IOR value

  - ### Constructor Detail

    - #### IORHolder

          public IORHolder​()

    - #### IORHolder

          public IORHolder​(IOR initialValue)

  - ### Method Detail

    - #### _read

          public void _read​(InputStream i)

      Description copied from interface: `Streamable`
      Reads data from `istream` and initalizes the `value` field of the Holder with the unmarshalled data.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `i` - the InputStream that represents the CDR data from the wire.

    - #### _write

          public void _write​(OutputStream o)

      Description copied from interface: `Streamable`
      Marshals to `ostream` the value in the `value` field of the Holder.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `o` - the CDR OutputStream

    - #### _type

          public TypeCode _type​()

      Description copied from interface: `Streamable`
      Retrieves the `TypeCode` object corresponding to the value in the `value` field of the Holder.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the `TypeCode` object for the value held in the holder